Bug 63448 - Configure option "DEBUG=yes" not in chat
Configure option "DEBUG=yes" not in chat
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-13 23:22 EDT by Bertil Askelid
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-13 23:22:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bertil Askelid 2002-04-13 23:22:30 EDT
Description of Problem:

The variable "chatdbg" is set in the wrong place. It needs to be
set before it is used :^). And the syntax for accessing the variable
is wrong.

Version-Release number of selected component (if applicable):

initscripts-6.43-1

How Reproducible:

Always.

Steps to Reproduce:
1. see diff below
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
	
network-scripts# diff --unified=2 ifup-ppp ifup-ppp.orig
--- ifup-ppp	Sun Apr 14 07:22:00 2002
+++ ifup-ppp.orig	Wed Feb  6 19:16:46 2002
@@ -61,8 +61,4 @@
 PEERCONF=/etc/ppp/peers/${DEVNAME}
 
-if [ "${DEBUG}" = yes ] ; then
-  CHATDBG="-v"
-fi
-
 if [ ! -f ${PEERCONF} ]; then
   if [ -z "${WVDIALSECT}" ] ; then
@@ -89,5 +85,5 @@
     echo "connect \"/usr/bin/wvdial --remotename ${DEVNAME} --chat
'${WVDIALSECT}'\"" >> ${PEERCONF}
   else
-    echo "connect \"/usr/sbin/chat ${CHATDBG} -r /var/log/messages -f
${CHATSCRIPT}\"" >> ${PEERCONF}
+    echo "connect \"/usr/sbin/chat $chatdbg -f ${CHATSCRIPT}\"" >> ${PEERCONF}
   fi
 fi
@@ -127,4 +123,5 @@
 if [ "${DEBUG}" = yes ] ; then
   opts="$opts debug"
+  chatdbg="-v"
 fi
Comment 1 Bill Nottingham 2002-04-14 22:39:08 EDT
Fixed in 6.64-1, thanks!

Note You need to log in before you can comment on or make changes to this bug.